* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: rgb(128, 0, 0);
  height: 90vh;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.church-container {
  position: relative;
  display: inline-block;
}

.church-container img {
  height: 100vh;
  width: auto;
  display: block;
}

.door-zone {
  position: absolute;
  bottom: 16%;
  left: 27%;
  transform: translateX(-50%);
  width: 15%;
  height: 20%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.door-text {
  color: white;
  font-family: serif;
  font-size: 2rem;
  opacity: 0;
  transition: opacity 0.4s ease;
  text-align: center;
}

.door-zone:hover .door-text {
  opacity: 1;
}
.bottom-text {
  position: absolute;
  bottom: -3rem;
  width: 100%;
  text-align: center;
  color: white;
  font-family: serif;
  font-size: 5rem;
  font-weight: bold;
  letter-spacing: 2px;
}
.back-link {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 10;
  color: white;
  font-size: 14px;
  text-decoration: none;
  border: 2px solid white;
  padding: 4px 12px;
  letter-spacing: 2px;
  margin: 10px;
}